package cn.newfeifan.mall.module.distri.controller.app.sharepath.vo;

import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.module.member.controller.admin.user.vo.MemberUserRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

import java.util.Map;


@Schema(description = "用户 APP - 分销用户关系 Response VO")
@Data
@Builder
public class AppSharePathRespVO {
    @Schema(description = "推荐人")
    private MemberUserRespVO referrerUser;

//    @Schema(description = "上级")
//    private MemberUserRespVO parentUser;

    @Schema(description = "区域成员")
    private Map<String, MemberUserRespVO> areaUsers;

    @Schema(description = "团队成员")
    private PageResult<MemberUserRespVO> descendants;

    @Schema(description = "推荐人数")
    private Long referrerCount;
}
